Public Class PasswordDialogViewModel
    Inherits ViewModelBase

    Dim _UserName As String = ""
    Public Property UserName As String
        Get
            Return _UserName
        End Get
        Set(value As String)
            ChangeIfDifferent(_UserName, value, "UserName")
        End Set
    End Property

    Dim _Password As String = ""
    Public Property Password As String
        Get
            Return _Password
        End Get
        Set(value As String)
            ChangeIfDifferent(_Password, value, "Password")
        End Set
    End Property

    Dim _Description As String = ""
    Public Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            ChangeIfDifferent(_Description, value, "Description")
        End Set
    End Property

    Public Sub New()
        MyBase.New(True)
    End Sub

End Class