﻿
''' <summary>
''' Stellt einen Benutzernamen, ein Passwort und eine Beschreibung dar.
''' </summary>
Public Class Password
    Inherits NotifyPropertyChanged

    Dim _UserName As String = ""
    ''' <summary>
    ''' Der Benutzername
    ''' </summary>
    Public Property UserName As String
        Get
            Return _UserName
        End Get
        Set(value As String)
            ChangeIfDifferent(_UserName, value, "UserName")
        End Set
    End Property

    Dim _Password As String = ""
    ''' <summary>
    ''' Das Passwort.
    ''' </summary>
    Public Property Password As String
        Get
            Return _Password
        End Get
        Set(value As String)
            ChangeIfDifferent(_Password, value, "Password")
        End Set
    End Property

    Dim _Description As String = ""
    ''' <summary>
    ''' Eine Beschreibung, wofür das Passwort verwendet wird.
    ''' </summary>
    Public Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            ChangeIfDifferent(_Description, value, "Description")
        End Set
    End Property

End Class
